% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ranking_of_features.R
\name{get_ig_for_feature_table_and_vector}
\alias{get_ig_for_feature_table_and_vector}
\title{Get information gain}
\usage{
get_ig_for_feature_table_and_vector(feature_table, target_vector)
}
\arguments{
\item{feature_table}{A table of features (observations in rows, variables in columns)}

\item{target_vector}{A target vector, factor containing classes of the observations. Note: the
observations must be in the same order as the parameter x.}
}
\value{
A dataframe containing the SU values for each feature
}
\description{
This functions runs information gain for a feature table and a class, returning
the scores of information gain for all features
}
\examples{

data(scDengue)
exprs <- SummarizedExperiment::assay(scDengue, 'logcounts')
discrete_expression <- as.data.frame(discretize_exprs(exprs))
infection <- SummarizedExperiment::colData(scDengue)
target <- infection$infection
ig_values <- get_ig_for_feature_table_and_vector(discrete_expression[,],target[])
ig_values[1:10,]
}
